DVBMediaSelectControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Interface DVBMediaSelectControl

All Superinterfaces:
  Control, MediaSelectControl

    public interface DVBMediaSelectControl

extends MediaSelectControl

DVBMediaSelectControl extends `MediaSelectControl` allowing the selection of different kinds of content in a running `Player`. The extension is to allow the selection in a single operation of all the media service components in a service without needing knowledge about which media service components are present in that service.

Since:
  MHP 1.0.2
See Also:
  `MediaSelectControl`

Method Summary
`void` | `selectServiceMediaComponents(Locator l)` Selects for presentation the media service components from a service.

Methods inherited from interface javax.tv.media.MediaSelectControl
`add, addMediaSelectListener, getCurrentSelection, remove, removeMediaSelectListener, replace, select, select`

Methods inherited from interface javax.media.Control
`getControlComponent`

Method Detail

### selectServiceMediaComponents

    void selectServiceMediaComponents(Locator l)
                                      throws InvalidLocatorException,
                                             InvalidServiceComponentException,
                                             InsufficientResourcesException

  Selects for presentation the media service components from a service. If some content is currently playing, it is replaced in its entirety by the media service components from the specified service. This is an asynchronous operation that is completed upon receipt of a MediaSelectEvent. Note that for most selections that imply a different time base or otherwise change synchronization relationships, a RestartingEvent will be posted by the Player. The rules for deciding which media service components shall be presented are defined in the main body of the present document.

  Parameters:
    `l` - the locator for a service
  Throws:
    `InvalidLocatorException` - If the locator provided does not reference a service.
    `InvalidServiceComponentException` - If the locator provided does not reference a service which contains at least one media service component
    `InsufficientResourcesException` - If the operation cannot be completed due to a lack of system resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD